#!/bin/zsh

# Add directories to PATH
export PATH="$HOME/.local/share/cargo/bin:$HOME/.cache/cabal/bin:$HOME/.local/bin:$HOME/j9.5/bin:$HOME/.local/share/rustup/toolchains/stable-x86_64-unknown-linux-gnu/bin:/usr/lib/smlnj/bin:$HOME/.config/emacs/bin:$HOME/.elan/bin:$HOME/.local/share/pack/bin:$PATH"

# Bemenu
export BEMENU_OPTS='--ignorecase --fb "#1e1e2e" --ff "#cdd6f4" --nb "#1e1e2e" --nf "#cdd6f4" --tb "#1e1e2e" --hb "#1e1e2e" --tf "#f5c2e7" --hf "#f9e2af" --af "#cdd6f4" --ab "#1e1e2e" --fn "Iosevka Nerd Font 16" --no-overlap --wrap'

# XDG directories
export XDG_CACHE_HOME="$HOME/.cache"
export XDG_CONFIG_HOME="$HOME/.config"
export XDG_DATA_HOME="$HOME/.local/share"

# General environment variables
export EDITOR=nvim
export VISUAL=nvim
export TERM=xterm-256color
export BROWSER=librewolf

# Wayland settings
export MOZ_ENABLE_WAYLAND=1
export ELECTRON_OZONE_PLATFORM_HINT=auto
export GDK_BACKEND=wayland

# Miscellaneous
export LESSHISTFILE=-
export INPUTRC="$HOME/.config/readline/inputrc"
export HISTFILE="$XDG_CACHE_HOME/zsh/history"
export CARGO_HOME="$XDG_DATA_HOME/cargo"
# export GNUPGHOME="$XDG_DATA_HOME/gnupg"
export GPG_TTY="$(tty)"
export STACK_XDG=1
export GHCUP_USE_XDG_DIRS=true
export OPAMROOT="$XDG_DATA_HOME/opam"
export JULIA_DEPOT_PATH="$XDG_DATA_HOME/julia:$JULIA_DEPOT_PATH"
export JUPYTER_CONFIG_DIR="$XDG_CONFIG_HOME/jupyter"
export RUSTUP_HOME="$XDG_DATA_HOME/rustup"
export DOT_SAGE="$XDG_CONFIG_HOME/sage"
export MAXIMA_USERDIR="$XDG_CONFIG_HOME/maxima"
export AGDA_DIR="$HOME/.config/agda"
export PACK_DIR="$HOME/.local/share/pack"
export MIZFILES="$HOME/.local/share/mizar"
export RLWRAP_HOME="$XDG_DATA_HOME/rlwrap"
export PACK_DIR="$XDG_DATA_HOME/pack"
export WOLFRAM_USERBASE="$XDG_DATA_HOME/wolfram"
